# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl(Exporter.pm) perl-devel perl-pod perl-podlators perldoc
# END SourceDeps(oneline)
Name:           perl-Class-DBI-AsForm
Version:        2.42
Release:        alt1_22
Summary:        Produce HTML form elements for database columns
Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Class-DBI-AsForm
Source0:        http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/Class-DBI-AsForm-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Class/DBI.pm) perl(HTML/Element.pm) perl(Class/DBI/Plugin/Type.pm)
BuildRequires:  perl(DBD/SQLite.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/More.pm)
BuildRequires:  perl(Pod/Perldoc.pm)
Requires:       perl(Class/DBI.pm)
Patch0:		perl-Class-DBI-AsForm-fix01test.patch
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Class-DBI-AsForm-%{version}
%patch0 -p1
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING
 
%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Artistic COPYING Changes
%{perl_vendor_privlib}/Class/DBI

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.42-alt1_22
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 2.42-alt1_20
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 2.42-alt1_18
- fc import

